diff --git a/src/main.c b/src/main.c
index d91be56b54..2097aea8ec 100755
--- a/src/main.c
+++ b/src/main.c
@@ -16,8 +16,8 @@
 #include <time.h>
 #include <limits.h>
 #include <errno.h>
-#ifdef DYNAREC
 #include <unistd.h>
+#ifdef DYNAREC
 #ifdef ARM
 #include <linux/auxvec.h>
 #include <asm/hwcap.h>
